Bug 447561 - Depend on Zend ABI for syck-php, not exact PHP version
Depend on Zend ABI for syck-php, not exact PHP version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: syck (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Oliver Falk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 10:55 EDT by Tim Jackson
Modified: 2008-06-06 05:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 05:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2008-05-20 10:55:01 EDT
syck-php currently has a direct dependency on an exact PHP version. This means
you have to rebuild it every time there is a PHP update.
This probably isn't necessary as most recent PHP versions are binary-compatible
for extensions; you can almost certainly depend on the Zend ABI version instead
- see:

http://fedoraproject.org/wiki/Packaging/PHP?highlight=%28php%29#head-435fc0b2b6fa2e807e89b72025848db84fea9d1c
Comment 1 Remi Collet 2008-05-24 01:20:46 EDT
Yes : syck-php build with php 5.2.5 (installed with --nodeps) works with php 5.2.6

So : 
%if %{?php_zend_api}0
Requires:     php(zend-abi) = %{php_zend_api}
Requires:     php(api) = %{php_core_api}
%else
Requires:	php = %{php_version}
%endif

=> %else only usefull for old php version, without %{php_zend_api}, i mean in EPEL.

Why don't you provide a  /etc/php.d/syck.ini  configuration file ?


In other distro, this package is named "php-syck", it's probably a good idea to
also add a:
Provides: php-syck = %{version}-%{release}

Regards

Note You need to log in before you can comment on or make changes to this bug.